Foreman - Bug #37055

WEB Ul does not show which Organization and Location is currently used if web browser's page is
changed to very small or moved or right side.

01/16/2024 04:36 PM - Karolina Matyjurkova

Status: Ready For Testing
Priority: Normal

Assignee: Karolina Matyjurkova
Category: Web Interface

Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 2254712 Red Hat JIRA: SAT-21958
Pull request: https://github.com/theforeman/foreman/p
ull/9994,
https://github.com/theforeman/foreman/p
ull/10037
Description

Description of problem:

To make some comparison, if we reduce the browser's page size, the Satellite Web Ul page does not show which Organization and
Location is selected/currently in use.

Version-Release number of selected component (if applicable):

Red Hat Satellite 6.15
satellite-6.15.0-2.el8sat.noarch

How reproducible:

100%

Steps to Reproduce:

1. Login to Satellite web Ul.

2. Reduce the size to small or shift the web browser to the left or right of the screen.
3. The location and Organization options will shift to the bottom of the sidebar.
Actual results:

We can not see which Organization and Location currently is in use.

Refer to the attached screenshot compared with Satellite version 6.15 and 6.13.
Expected results:

Organization and Location should show selected in the sidebar as well.

Additional info:

Yes, we can change the page size and can see the selected organization and location, however the side bar should show the same,
for ease of use.

History

#1 - 01/16/2024 04:48 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9994 added

#2 - 01/22/2024 03:23 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/10005 added

#3 - 02/05/2024 01:48 PM - Karolina Matyjurkova
- Pull request https://github.com/theforeman/foreman/pull/10037 added
- Pull request deleted (https://github.com/theforeman/foreman/pull/10005)
